* NOTE: format names are the same as variable names, except for
        variable names that end in a number.  For these a 1 is replaced
        by an A, a 2 is replaced by a B, and so on.
*;
data atusact_2005;
infile "c:\atusact_2005.dat" firstobs=2 dsd missover lrecl=16384 dlm=",";
length
 TUCASEID $14
 TUACTIVITY_N 8
 TEWHERE 8
 TRTCCTOT_LN 8
 TRTCC_LN 8
 TRTCOC_LN 8
 TRTHH_LN 8
 TRTNOHH_LN 8
 TRTOHH_LN 8
 TRTONHH_LN 8
 TRTO_LN 8
 TUACTDUR 8
 TUACTDUR24 8
 TUCC5 8
 TUCC5B 8
 TUCC7 8
 TUCC8 8
 TUCUMDUR 8
 TUCUMDUR24 8
 TUSTARTTIM $8
 TUSTOPTIME $8
 TUTIER1CODE $2
 TUTIER2CODE $2
 TUTIER3CODE $2
 TXWHERE 8
;
input
 TUCASEID
 TUACTIVITY_N
 TEWHERE
 TRTCCTOT_LN
 TRTCC_LN
 TRTCOC_LN
 TRTHH_LN
 TRTNOHH_LN
 TRTOHH_LN
 TRTONHH_LN
 TRTO_LN
 TUACTDUR
 TUACTDUR24
 TUCC5
 TUCC5B
 TUCC7
 TUCC8
 TUCUMDUR
 TUCUMDUR24
 TUSTARTTIM
 TUSTOPTIME
 TUTIER1CODE
 TUTIER2CODE
 TUTIER3CODE
 TXWHERE
;
label TEWHERE = "Edited: where were you during the activity?";
label TRTCCTOT_LN = "Total time spent during activity providing secondary childcare for all children < 13";
label TRTCC_LN = "Total time spent during activity providing secondary child care for household and own non-household children < 13";
label TRTCOC_LN = "Total time spent during activity providing secondary child care for non-own, non-household children <13";
label TRTHH_LN = "Total time spent during activity providing secondary childcare for household children < 13";
label TRTNOHH_LN = "Total time spent during activity providing secondary childcare for non-own household children < 13";
label TRTOHH_LN = "Total time spent during activity providing secondary childcare for own household children < 13";
label TRTONHH_LN = "Total time spent during activity providing secondary childcare for own non-household children < 13";
label TRTO_LN = "Total time spent during activity providing secondary childcare for own children < 13";
label TUACTDUR = "Duration of activity in minutes (last activity not truncated at 4:00 a.m.)";
label TUACTDUR24 = "Duration of activity in minutes (last activity truncated at 4:00 a.m.)";
label TUACTIVITY_N = "Activity line number";
label TUCASEID = "ATUS Case ID (14-digit identifier)";
label TUCC5 = "Was at least one of your own household children < 13 in your care during this activity?";
label TUCC5B = "Was at least one of your non-own household children < 13 in your care during this activity?";
label TUCC7 = "Was at least one of your own non-household children < 13 in your care during this activity?";
label TUCC8 = "Other than household or own non-household children < 13, was there a child 0-12 in your care during this activity?";
label TUCUMDUR = "Cumulative duration of activity lengths in minutes; last activity not truncated at 4:00am or 1440 minutes (cumulative total of T";
label TUCUMDUR24 = "Cumulative duration of activity lengths in minutes; last activity truncated at 4:00am or 1440 minutes (cumulative total of TUACT";
label TUSTARTTIM = "Activity start time";
label TUSTOPTIME = "Activity stop time";
label TUTIER1CODE = "Lexicon Tier 1: 1st and 2nd digits of 6-digit activity code";
label TUTIER2CODE = "Lexicon Tier 2: 3rd and 4th digits of 6-digit activity code";
label TUTIER3CODE = "Lexicon Tier 3: 5th and 6th digits of 6-digit activity code";
label TXWHERE = "TEWHERE: allocation flag";
run;
 
proc format;
value TEWHERE /*TEWHERE*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
1 = "Respondent's home or yard"
10 = "Library"
11 = "Other place"
12 = "Car, truck, or motorcycle (driver)"
13 = "Car, truck, or motorcycle (passenger)"
14 = "Walking"
15 = "Bus"
16 = "Subway/train"
17 = "Bicycle"
18 = "Boat/ferry"
19 = "Taxi/limousine service"
2 = "Respondent's workplace"
20 = "Airplane"
21 = "Other mode of transportation"
3 = "Someone else's home"
30 = "Bank"
31 = "Gym/health club"
32 = "Post Office"
4 = "Restaurant or bar"
5 = "Place of worship"
6 = "Grocery store"
7 = "Other store/mall"
8 = "School"
89 = "Unspecified place"
9 = "Outdoors away from home"
99 = "Unspecified mode of transportation"
;
value TUCCE /*altered: TUCC5*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
0 = "No"
1 = "Yes"
97 = "No additional activities involved childcare"
;
value TUCC5B /*TUCC5B*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
0 = "No"
1 = "Yes"
97 = "No additional activities involved childcare"
;
value TUCCG /*altered: TUCC7*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
0 = "No"
1 = "Yes"
97 = "No additional activities involved childcare"
;
value TUCCH /*altered: TUCC8*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
0 = "No"
1 = "Yes"
97 = "No additional activities involved childcare"
;
value TXWHERE /*TXWHERE*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
00 = "Value - No Change"
01 = "Blank - No Change"
02 = "Don`t Know - No Change"
03 = "Refused - No Change"
10 = "Value To Value"
11 = "Blank To Value"
12 = "Don`t Know To Value"
13 = "Refused To Value"
20 = "Value To Longitudinal Value"
21 = "Blank To Longitudinal Value"
22 = "Don`t Know To Longitudinal Value"
23 = "Refused To Longitudinal Value"
30 = "Value To Allocated Value Long."
31 = "Blank To Allocated Value Long."
32 = "Don`t Know To Allocated Value Long."
33 = "Refused To Allocated Value Long."
40 = "Value To Allocated Value"
41 = "Blank To Allocated Value"
42 = "Don`t Know To Allocated Value"
43 = "Refused To Allocated Value"
50 = "Value To Blank"
52 = "Don`t Know To Blank"
53 = "Refused To Blank"
;
proc contents data=atusact_2005; run;
